//============================================================================
// 631_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// TempsDlg.h : header file
//
#if !defined(AFX_TEMPSDLG_H__87994C5D_3E62_4D60_9926_C16788DC7C1D__INCLUDED_)
#define AFX_TEMPSDLG_H__87994C5D_3E62_4D60_9926_C16788DC7C1D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// TempsDlg dialog

class TempsDlg : public CDialog
{
// Construction
public:
  TempsDlg(CWnd* pParent = NULL);   // standard constructor
  BOOL Create();
  virtual BOOL TempsDlg::OnInitDialog();

  void TempsDlg::OnReceivedTempReport(COMMAND_PACKET *packet);
  void TempsDlg::OnReceivedSensorID(COMMAND_PACKET *packet);
  void TempsDlg::OnReceivedReportingStatus(COMMAND_PACKET *packet);
  void TempsDlg::LCDModuleBootComplete(void);

// Dialog Data
  //{{AFX_DATA(TempsDlg)
  enum { IDD = IDD_TEMPERATURES };
  //These arrays make the code compact :)
  //but they break the event handling in
  //the resource editor :(
  CButton m_enable_temps[32];
  CEdit m_deg_f_temps[32];
  CEdit m_deg_c_temps[32];
  CEdit m_dow_ids[32];
  //}}AFX_DATA


// Overrides
  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(TempsDlg)
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void PostNcDestroy();
  //}}AFX_VIRTUAL

// Implementation
protected:
  CWnd* m_pParent;
  int m_nID;
  int time_since_new_data[32];
  int boot_is_at_our_request;
  void TempsDlg::OnTimer(UINT nIDEvent);
  void TempsDlg::StartTimer (int iTimeInterval);
  void TempsDlg::StopTimer (void);
  void TempsDlg::RefreshIDs(void);
  // Generated message map functions
  //{{AFX_MSG(TempsDlg)
  afx_msg void OnClose();
  afx_msg void OnEnableTemp();
  afx_msg void OnRebootToRedetect();
  afx_msg void OnAllOn();
  afx_msg void OnAllOff();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEMPSDLG_H__87994C5D_3E62_4D60_9926_C16788DC7C1D__INCLUDED_)
