//To do: could make this use arrays of dialog elements like temperatures
//
//============================================================================
// 631_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// GPIO.cpp : implementation file

#include "stdafx.h"
#include "631_wintest.h"
#include "serial.h"
#include "GPIO.h"
#include "KeyPads.h"
#include "TempsDlg.h"
#include "Fans.h"
#include "Packet_Debug.h"
#include "Live_Display.h"
#include "LED_Editor.h"
#include "631_WinTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// GPIO dialog
GPIO::GPIO(CWnd* pParent /*=NULL*/)
  : CDialog(GPIO::IDD, pParent)
  {
  //{{AFX_DATA_INIT(GPIO)
  //}}AFX_DATA_INIT
  ASSERT(pParent != NULL);

  m_pParent = pParent;
  m_nID = GPIO::IDD;
  }

BOOL GPIO::OnInitDialog()
  {
  CDialog::OnInitDialog();

  //GPIO 0
  Enable_Output_Controls_GPIO_0(0);
  m_set_settings_gpio_0.EnableWindow(0);
  m_function_gpio_0.SetCurSel(0);
  m_drive_mode_gpio_0.SetCurSel(0);
  m_pwm_percent_0.SetWindowText("0%");
  m_pwm_slider_0.SetPos(0);
  m_reading_gpio_0.SetWindowText("--");
  //GPIO 1
  Enable_Output_Controls_GPIO_1(0);
  m_set_settings_gpio_1.EnableWindow(0);
  m_function_gpio_1.SetCurSel(0);
  m_drive_mode_gpio_1.SetCurSel(0);
  m_pwm_percent_1.SetWindowText("0%");
  m_pwm_slider_1.SetPos(0);
  m_reading_gpio_1.SetWindowText("--");
  //GPIO 2
  Enable_Output_Controls_GPIO_2(0);
  m_set_settings_gpio_2.EnableWindow(0);
  m_function_gpio_2.SetCurSel(0);
  m_drive_mode_gpio_2.SetCurSel(0);
  m_pwm_percent_2.SetWindowText("0%");
  m_pwm_slider_2.SetPos(0);
  m_reading_gpio_2.SetWindowText("--");
  //GPIO 3
  Enable_Output_Controls_GPIO_3(0);
  m_set_settings_gpio_3.EnableWindow(0);
  m_function_gpio_3.SetCurSel(0);
  m_drive_mode_gpio_3.SetCurSel(0);
  m_pwm_percent_3.SetWindowText("0%");
  m_pwm_slider_3.SetPos(0);
  m_reading_gpio_3.SetWindowText("--");
  //GPIO 4
  Enable_Output_Controls_GPIO_4(0);
  m_set_settings_gpio_4.EnableWindow(0);
  m_function_gpio_4.SetCurSel(0);
  m_drive_mode_gpio_4.SetCurSel(0);
  m_pwm_percent_4.SetWindowText("0%");
  m_pwm_slider_4.SetPos(0);
  m_reading_gpio_4.SetWindowText("--");

  return TRUE;
  }
void GPIO::DoDataExchange(CDataExchange* pDX)
  {
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(GPIO)
  DDX_Control(pDX, ID_SET_SETTINGS_GPIO_0, m_set_settings_gpio_0);
  DDX_Control(pDX, ID_SET_SETTINGS_GPIO_1, m_set_settings_gpio_1);
  DDX_Control(pDX, ID_SET_SETTINGS_GPIO_2, m_set_settings_gpio_2);
  DDX_Control(pDX, ID_SET_SETTINGS_GPIO_3, m_set_settings_gpio_3);
  DDX_Control(pDX, ID_SET_SETTINGS_GPIO_4, m_set_settings_gpio_4);
  DDX_Control(pDX, IDC_Drive_Mode_GPIO_0, m_drive_mode_gpio_0);
  DDX_Control(pDX, IDC_Drive_Mode_GPIO_1, m_drive_mode_gpio_1);
  DDX_Control(pDX, IDC_Drive_Mode_GPIO_2, m_drive_mode_gpio_2);
  DDX_Control(pDX, IDC_Drive_Mode_GPIO_3, m_drive_mode_gpio_3);
  DDX_Control(pDX, IDC_Drive_Mode_GPIO_4, m_drive_mode_gpio_4);
  DDX_Control(pDX, IDC_FULL_OFF_GPIO_0, m_full_off_gpio_0);
  DDX_Control(pDX, IDC_FULL_OFF_GPIO_1, m_full_off_gpio_1);
  DDX_Control(pDX, IDC_FULL_OFF_GPIO_2, m_full_off_gpio_2);
  DDX_Control(pDX, IDC_FULL_OFF_GPIO_3, m_full_off_gpio_3);
  DDX_Control(pDX, IDC_FULL_OFF_GPIO_4, m_full_off_gpio_4);
  DDX_Control(pDX, IDC_FULL_ON_GPIO_0, m_full_on_gpio_0);
  DDX_Control(pDX, IDC_FULL_ON_GPIO_1, m_full_on_gpio_1);
  DDX_Control(pDX, IDC_FULL_ON_GPIO_2, m_full_on_gpio_2);
  DDX_Control(pDX, IDC_FULL_ON_GPIO_3, m_full_on_gpio_3);
  DDX_Control(pDX, IDC_FULL_ON_GPIO_4, m_full_on_gpio_4);
  DDX_Control(pDX, IDC_Function_GPIO_0, m_function_gpio_0);
  DDX_Control(pDX, IDC_Function_GPIO_1, m_function_gpio_1);
  DDX_Control(pDX, IDC_Function_GPIO_2, m_function_gpio_2);
  DDX_Control(pDX, IDC_Function_GPIO_3, m_function_gpio_3);
  DDX_Control(pDX, IDC_Function_GPIO_4, m_function_gpio_4);
  DDX_Control(pDX, IDC_PWM_PERCENT_GPIO_0, m_pwm_percent_0);
  DDX_Control(pDX, IDC_PWM_PERCENT_GPIO_1, m_pwm_percent_1);
  DDX_Control(pDX, IDC_PWM_PERCENT_GPIO_2, m_pwm_percent_2);
  DDX_Control(pDX, IDC_PWM_PERCENT_GPIO_3, m_pwm_percent_3);
  DDX_Control(pDX, IDC_PWM_PERCENT_GPIO_4, m_pwm_percent_4);
  DDX_Control(pDX, IDC_PWM_SLIDER_GPIO_0, m_pwm_slider_0);
  DDX_Control(pDX, IDC_PWM_SLIDER_GPIO_1, m_pwm_slider_1);
  DDX_Control(pDX, IDC_PWM_SLIDER_GPIO_2, m_pwm_slider_2);
  DDX_Control(pDX, IDC_PWM_SLIDER_GPIO_3, m_pwm_slider_3);
  DDX_Control(pDX, IDC_PWM_SLIDER_GPIO_4, m_pwm_slider_4);
  DDX_Control(pDX, IDC_READING_GPIO_0, m_reading_gpio_0);
  DDX_Control(pDX, IDC_READING_GPIO_1, m_reading_gpio_1);
  DDX_Control(pDX, IDC_READING_GPIO_2, m_reading_gpio_2);
  DDX_Control(pDX, IDC_READING_GPIO_3, m_reading_gpio_3);
  DDX_Control(pDX, IDC_READING_GPIO_4, m_reading_gpio_4);
  //}}AFX_DATA_MAP
  }

//Allows both ON_WM_CLOSE and ON_BN_CLICKED(IDOK, ) to map to
//a single function with out breaking the resource editor,
#define OnDone OnClose

BEGIN_MESSAGE_MAP(GPIO, CDialog)
  //{{AFX_MSG_MAP(GPIO)
  ON_BN_CLICKED(ID_GPIO_DEFAULT, OnGpioSetAllToFactoryDefault)
  ON_BN_CLICKED(ID_READ_SETTINGS_GPIO_0, OnReadSettingsGpio0)
  ON_BN_CLICKED(ID_READ_SETTINGS_GPIO_1, OnReadSettingsGpio1)
  ON_BN_CLICKED(ID_READ_SETTINGS_GPIO_2, OnReadSettingsGpio2)
  ON_BN_CLICKED(ID_READ_SETTINGS_GPIO_3, OnReadSettingsGpio3)
  ON_BN_CLICKED(ID_READ_SETTINGS_GPIO_4, OnReadSettingsGpio4)
  ON_BN_CLICKED(ID_SET_SETTINGS_GPIO_0, OnSetSettingsGpio0)
  ON_BN_CLICKED(ID_SET_SETTINGS_GPIO_1, OnSetSettingsGpio1)
  ON_BN_CLICKED(ID_SET_SETTINGS_GPIO_2, OnSetSettingsGpio2)
  ON_BN_CLICKED(ID_SET_SETTINGS_GPIO_3, OnSetSettingsGpio3)
  ON_BN_CLICKED(ID_SET_SETTINGS_GPIO_4, OnSetSettingsGpio4)
  ON_BN_CLICKED(IDC_FULL_OFF_GPIO_0, OnFullOffGpio0)
  ON_BN_CLICKED(IDC_FULL_OFF_GPIO_1, OnFullOffGpio1)
  ON_BN_CLICKED(IDC_FULL_OFF_GPIO_2, OnFullOffGpio2)
  ON_BN_CLICKED(IDC_FULL_OFF_GPIO_3, OnFullOffGpio3)
  ON_BN_CLICKED(IDC_FULL_OFF_GPIO_4, OnFullOffGpio4)
  ON_BN_CLICKED(IDC_FULL_ON_GPIO_0, OnFullOnGpio0)
  ON_BN_CLICKED(IDC_FULL_ON_GPIO_1, OnFullOnGpio1)
  ON_BN_CLICKED(IDC_FULL_ON_GPIO_2, OnFullOnGpio2)
  ON_BN_CLICKED(IDC_FULL_ON_GPIO_3, OnFullOnGpio3)
  ON_BN_CLICKED(IDC_FULL_ON_GPIO_4, OnFullOnGpio4)
  ON_CBN_CLOSEUP(IDC_Drive_Mode_GPIO_0, OnCloseUpDriveModeGpio0)
  ON_CBN_CLOSEUP(IDC_Drive_Mode_GPIO_1, OnCloseUpDriveModeGpio1)
  ON_CBN_CLOSEUP(IDC_Drive_Mode_GPIO_2, OnCloseUpDriveModeGpio2)
  ON_CBN_CLOSEUP(IDC_Drive_Mode_GPIO_3, OnCloseUpDriveModeGpio3)
  ON_CBN_CLOSEUP(IDC_Drive_Mode_GPIO_4, OnCloseUpDriveModeGpio4)
  ON_CBN_CLOSEUP(IDC_Function_GPIO_0, OnCloseUpFunctionGpio0)
  ON_CBN_CLOSEUP(IDC_Function_GPIO_1, OnCloseUpFunctionGpio1)
  ON_CBN_CLOSEUP(IDC_Function_GPIO_2, OnCloseUpFunctionGpio2)
  ON_CBN_CLOSEUP(IDC_Function_GPIO_3, OnCloseUpFunctionGpio3)
  ON_CBN_CLOSEUP(IDC_Function_GPIO_4, OnCloseUpFunctionGpio4)
  ON_WM_CANCELMODE()
  ON_WM_CAPTURECHANGED()
  ON_WM_HSCROLL()
  ON_WM_CLOSE()
  ON_BN_CLICKED(IDOK, OnDone)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()
/////////////////////////////////////////////////////////////////////////////
BOOL GPIO::Create()
  {
  return CDialog::Create(m_nID, m_pParent);
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::PostNcDestroy()
  {
  delete this;
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::OnClose() 
  {
  ((CMy631_WinTestDlg*)m_pParent)->GPIO_Done();
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::LCDModuleBootComplete(void) 
  {
  //Initial loading of window
  Send_Reading_Request_Packet(0);
  Send_Reading_Request_Packet(1);
  Send_Reading_Request_Packet(2);
  Send_Reading_Request_Packet(3);
  Send_Reading_Request_Packet(4);
  }
/////////////////////////////////////////////////////////////////////////////
// function and drive mode are the combo-box indices
void GPIO::Send_Update_Packet(int index,int power,int function,int drive_mode)
  {
  COMMAND_PACKET
    packet;
  packet.command=34; //Set or Set and Configure GPIO pin
  packet.data_length=3;
  packet.data[0]=index;  //gpio index

  packet.data[1]=power;  //output setting

  //set the drive mode
  switch(drive_mode)
    {
    //This button should not be enabled if m_drive_mode_gpio_0 is 0
    case 1:  //1=Fast, Strong Drive Up, 0=Resistive Pull Down
      packet.data[2]=0;
      break;
    case 2:  //1=Fast, Strong Drive Up, 0=Fast, Strong Drive Down
      packet.data[2]=1;
      break;
    case 3:  //Hi-Z, use for input
      packet.data[2]=2;
      break;
    case 4:  //1=Resistive Pull Up,     0=Fast, Strong Drive Down
      packet.data[2]=3;
      break;
    case 5:  //1=Slow, Strong Drive Up, 0=Hi-Z
      packet.data[2]=4;
      break;
    case 6:  //1=Slow, Strong Drive Up, 0=Slow, Strong Drive Down
      packet.data[2]=5;
      break;
    case 7:  //1=Hi-Z,                  0=Slow, Strong Drive Down
      packet.data[2]=7;
      break;
    }

  //Set the "user GPIO bit"
  if(function==2)
    packet.data[2]|=0x08;

  //Send the packet to the module
  ((CMy631_WinTestDlg*)m_pParent)->QueuePacket(&packet);
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::Send_Update_Power_Packet(int index,int power)
  {
  COMMAND_PACKET
    packet;
  packet.command=34; //Set or Set and Configure GPIO pin
  packet.data_length=2;
  packet.data[0]=index;
  packet.data[1]=power;
  //Send the packet to the module
  ((CMy631_WinTestDlg*)m_pParent)->QueuePacket(&packet);
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::Send_Reading_Request_Packet(int index)
  {
  COMMAND_PACKET
    packet;
  packet.command=35; //Read GPIO pin levels and configuration state
  packet.data_length=1;
  packet.data[0]=index;
  //Send the query packet to the module
  ((CMy631_WinTestDlg*)m_pParent)->QueuePacket(&packet);
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
  {
  int
    new_output;
  char
    string[10];
  //GPIO 0
  new_output=m_pwm_slider_0.GetPos();
  if(output_0!=new_output)
    {
    output_0=new_output;
    sprintf(string,"%d%%",output_0);
    m_pwm_percent_0.SetWindowText(string);
    Send_Update_Power_Packet(0,output_0);
    }
  //GPIO 1
  new_output=m_pwm_slider_1.GetPos();
  if(output_1!=new_output)
    {
    output_1=new_output;
    sprintf(string,"%d%%",output_1);
    m_pwm_percent_1.SetWindowText(string);
    Send_Update_Power_Packet(1,output_1);
    }
  new_output=m_pwm_slider_2.GetPos();
  //GPIO 2
  if(output_2!=new_output)
    {
    output_2=new_output;
    sprintf(string,"%d%%",output_2);
    m_pwm_percent_2.SetWindowText(string);
    Send_Update_Power_Packet(2,output_2);
    }
  //GPIO 3
  new_output=m_pwm_slider_3.GetPos();
  if(output_3!=new_output)
    {
    output_3=new_output;
    sprintf(string,"%d%%",output_3);
    m_pwm_percent_3.SetWindowText(string);
    Send_Update_Power_Packet(3,output_3);
    }
  //GPIO 4
  new_output=m_pwm_slider_4.GetPos();
  if(output_4!=new_output)
    {
    output_4=new_output;
    sprintf(string,"%d%%",output_4);
    m_pwm_percent_4.SetWindowText(string);
    Send_Update_Power_Packet(4,output_4);
    }
  CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::OnReceivedState(COMMAND_PACKET *packet)
  {
  //The two strings will be used in any case, compute them now.
  char
    read_string[20];
  //   data[1] = Pin state & changes since last poll
  //     ---- -RFS Enable Reporting of this Fan's Tach Input
  //     |||| ||||-- S = state at the last reading
  //     |||| |||--- F = at least one falling edge has
  //     |||| ||     been detected since the last poll
  //     |||| ||---- R = at least one rising edge has
  //     |||| |      been detected since the last poll
  //     |||| |----- reserved
  sprintf(read_string," %c %c %c ",
          ((packet->data[1])&0x04)?'R':'-',
          ((packet->data[1])&0x02)?'F':'-',
          ((packet->data[1])&0x01)?'1':'0');
  char
    percent_string[20];
  //   data[2] = 0-100: Output duty cycle percentage
  sprintf(percent_string,"%d%%",packet->data[2]);
  //Calculate the function and drive mode idicies
  int
    function;
  //   data[3] = Pin function select and drive mode
  //     ---- FDDD
  //     |||| ||||-- DDD = Drive Mode
  //     |||| |      =======================================================
  //     |||| |      000: 1=Fast, Strong Drive Up, 0=Resistive Pull Down
  //     |||| |      001: 1=Fast, Strong Drive Up, 0=Fast, Strong Drive Down
  //     |||| |      010: Hi-Z, use for input
  //     |||| |      011: 1=Resistive Pull Up,     0=Fast, Strong Drive Down
  //     |||| |      100: 1=Slow, Strong Drive Up, 0=Hi-Z
  //     |||| |      101: 1=Slow, Strong Drive Up, 0=Slow, Strong Drive Down
  //     |||| |      110: reserved, do not use
  //     |||| |      111: 1=Hi-Z,                  0=Slow, Strong Drive Down
  //     |||| |
  //     |||| |----- F = Function
  //     ||||        =======================================================
  //     ||||        0: Port unused for GPIO. It will take on the default
  //     ||||           function such as ATX, DOW or unused. The user is 
  //     ||||           responsible for setting the drive to the correct
  //     ||||           value in order for the default function to work
  //     ||||           correctly.
  //     ||||        1: Port used for GPIO under user control. The user is
  //     ||||           responsible for setting the drive to the correct
  //     ||||           value in order for the desired GPIO mode to work
  //     ||||           correctly.
  //     ||||------- reserved, must be 0 (may be an extension of F in
  //                 future versions)
  if(packet->data[3]&0x08)
    function=2;
  else
    function=1;
  int
    drive_mode;
  switch(packet->data[3]&0x07)
    {
    case 0:
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
      drive_mode=(packet->data[3]&0x07)+1;
      break;
    case 6:  //reserved
      drive_mode=0;
      break;
    case 7:
      drive_mode=7;
    }

  //   data[0] = index of GPIO to read
  switch(packet->data[0])
    {
    case 0: //GPIO 0
      m_reading_gpio_0.SetWindowText(read_string);
      m_pwm_percent_0.SetWindowText(percent_string);
      m_pwm_slider_0.SetPos(packet->data[2]);
      m_function_gpio_0.SetCurSel(function);
      m_drive_mode_gpio_0.SetCurSel(drive_mode);
      //Enable or disable other window elements
      Enable_Output_Controls_GPIO_0((function==2)?1:0);
      m_set_settings_gpio_0.EnableWindow(1);
      break;
    case 1: //GPIO 1
      m_reading_gpio_1.SetWindowText(read_string);
      m_pwm_percent_1.SetWindowText(percent_string);
      m_pwm_slider_1.SetPos(packet->data[2]);
      m_function_gpio_1.SetCurSel(function);
      m_drive_mode_gpio_1.SetCurSel(drive_mode);
      //Enable or disable other window elements
      Enable_Output_Controls_GPIO_1((function==2)?1:0);
      m_set_settings_gpio_1.EnableWindow(1);
      break;
    case 2://GPIO 2
      m_reading_gpio_2.SetWindowText(read_string);
      m_pwm_percent_2.SetWindowText(percent_string);
      m_pwm_slider_2.SetPos(packet->data[2]);
      m_function_gpio_2.SetCurSel(function);
      m_drive_mode_gpio_2.SetCurSel(drive_mode);
      //Enable or disable other window elements
      Enable_Output_Controls_GPIO_2((function==2)?1:0);
      m_set_settings_gpio_2.EnableWindow(1);
      break;
    case 3: //GPIO 3
      m_reading_gpio_3.SetWindowText(read_string);
      m_pwm_percent_3.SetWindowText(percent_string);
      m_pwm_slider_3.SetPos(packet->data[2]);
      m_function_gpio_3.SetCurSel(function);
      m_drive_mode_gpio_3.SetCurSel(drive_mode);
      //Enable or disable other window elements
      Enable_Output_Controls_GPIO_3((function==2)?1:0);
      m_set_settings_gpio_3.EnableWindow(1);
      break;
    case 4: //GPIO 4
      m_reading_gpio_4.SetWindowText(read_string);
      m_pwm_percent_4.SetWindowText(percent_string);
      m_pwm_slider_4.SetPos(packet->data[2]);
      m_function_gpio_4.SetCurSel(function);
      m_drive_mode_gpio_4.SetCurSel(drive_mode);
      //Enable or disable other window elements
      Enable_Output_Controls_GPIO_4((function==2)?1:0);
      m_set_settings_gpio_4.EnableWindow(1);
      break;
    }
  }
/////////////////////////////////////////////////////////////////////////////
void GPIO::Enable_Output_Controls_GPIO_0(int state)
  {
  //m_reading_gpio_0.EnableWindow(state);
  m_full_on_gpio_0.EnableWindow(state);
  m_full_off_gpio_0.EnableWindow(state);
  m_pwm_percent_0.EnableWindow(state);
  m_pwm_slider_0.EnableWindow(state);
  }
//---------------------------------------------------------------------------
void GPIO::OnReadSettingsGpio0(void)
  {
  m_function_gpio_0.SetCurSel(0);
  m_drive_mode_gpio_0.SetCurSel(0);
  Send_Reading_Request_Packet(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnSetSettingsGpio0(void) 
  {
  Send_Update_Packet(0,                                //index  
                     m_pwm_slider_0.GetPos(),          //power
                     m_function_gpio_0.GetCurSel(),    //function
                     m_drive_mode_gpio_0.GetCurSel()); //drive mode

  //Making the rather rash assumption that the module actually
  //did get updated, enable our controls accordingly.
  //The output controls are only meaningful if the function is
  //set to user mode
  Enable_Output_Controls_GPIO_0((m_function_gpio_0.GetCurSel()==2)?1:0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpDriveModeGpio0(void) 
  {
  //This is called by the function & mode pull-downs. If they are both OK,
  //enable the set.
  if((m_function_gpio_0.GetCurSel())&&
     (m_drive_mode_gpio_0.GetCurSel()))
    //Both function & mode are set, Enable the set button.
    m_set_settings_gpio_0.EnableWindow(1);
  else
    //One of function or mode is not set, Disable the set button.
    m_set_settings_gpio_0.EnableWindow(0);
  //Since there was a change that has not been sent to the module, disable
  //the other items
  Enable_Output_Controls_GPIO_0(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpFunctionGpio0(void) 
  {
  //They just changed the function. If it is was changed to default,
  //then pre-position th edrive mode to the default.
  if(m_function_gpio_0.GetCurSel()==1)
    m_drive_mode_gpio_0.SetCurSel(3);
  //Check as usual
  OnCloseUpDriveModeGpio0();
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOffGpio0(void) 
  {
  output_0=0;
  m_pwm_slider_0.SetPos(output_0);
  m_pwm_percent_0.SetWindowText("0%");
  Send_Update_Power_Packet(0,output_0);
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOnGpio0(void) 
  {
  output_0=100;
  m_pwm_slider_0.SetPos(output_0);
  m_pwm_percent_0.SetWindowText("100%");
  Send_Update_Power_Packet(0,output_0);
  }
//---------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
void GPIO::Enable_Output_Controls_GPIO_1(int state)
  {
  //m_reading_gpio_1.EnableWindow(state);
  m_full_on_gpio_1.EnableWindow(state);
  m_full_off_gpio_1.EnableWindow(state);
  m_pwm_percent_1.EnableWindow(state);
  m_pwm_slider_1.EnableWindow(state);
  }
//---------------------------------------------------------------------------
void GPIO::OnReadSettingsGpio1(void) 
  {
  m_function_gpio_1.SetCurSel(0);
  m_drive_mode_gpio_1.SetCurSel(0);
  Send_Reading_Request_Packet(1);
  }
//---------------------------------------------------------------------------
void GPIO::OnSetSettingsGpio1(void) 
  {
  Send_Update_Packet(1,                                //index  
                     m_pwm_slider_1.GetPos(),          //power
                     m_function_gpio_1.GetCurSel(),    //function
                     m_drive_mode_gpio_1.GetCurSel()); //drive mode

  //Making the rather rash assumption that the module actually
  //did get updated, enable our controls accordingly.
  //The output controls are only meaningful if the function is
  //set to user mode
  Enable_Output_Controls_GPIO_1((m_function_gpio_1.GetCurSel()==2)?1:0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpDriveModeGpio1(void) 
  {
  //This is called by the function & mode pull-downs. If they are both OK,
  //enable the set.
  if((m_function_gpio_1.GetCurSel())&&
     (m_drive_mode_gpio_1.GetCurSel()))
    //Both function & mode are set, Enable the set button.
    m_set_settings_gpio_1.EnableWindow(1);
  else
    //One of function or mode is not set, Disable the set button.
    m_set_settings_gpio_1.EnableWindow(0);
  //Since there was a change that has not been sent to the module, disable
  //the other items
  Enable_Output_Controls_GPIO_1(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpFunctionGpio1(void) 
  {
  //They just changed the function. If it is was changed to default,
  //then pre-position th edrive mode to the default.
  if(m_function_gpio_1.GetCurSel()==1)
    m_drive_mode_gpio_1.SetCurSel(1);
  //Check as usual
  OnCloseUpDriveModeGpio1();
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOffGpio1(void) 
  {
  output_1=0;
  m_pwm_slider_1.SetPos(output_1);
  m_pwm_percent_1.SetWindowText("0%");
  Send_Update_Power_Packet(1,output_1);
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOnGpio1(void) 
  {
  output_1=100;
  m_pwm_slider_1.SetPos(output_1);
  m_pwm_percent_1.SetWindowText("100%");
  Send_Update_Power_Packet(1,output_1);
  }
//---------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
void GPIO::Enable_Output_Controls_GPIO_2(int state)
  {
  //m_reading_gpio_2.EnableWindow(state);
  m_full_on_gpio_2.EnableWindow(state);
  m_full_off_gpio_2.EnableWindow(state);
  m_pwm_percent_2.EnableWindow(state);
  m_pwm_slider_2.EnableWindow(state);
  }
//---------------------------------------------------------------------------
void GPIO::OnReadSettingsGpio2(void) 
  {
  m_function_gpio_2.SetCurSel(0);
  m_drive_mode_gpio_2.SetCurSel(0);
  Send_Reading_Request_Packet(2);
  }
//---------------------------------------------------------------------------
void GPIO::OnSetSettingsGpio2(void) 
  {
  Send_Update_Packet(2,                                //index  
                     m_pwm_slider_2.GetPos(),          //power
                     m_function_gpio_2.GetCurSel(),    //function
                     m_drive_mode_gpio_2.GetCurSel()); //drive mode

  //Making the rather rash assumption that the module actually
  //did get updated, enable our controls accordingly.
  //The output controls are only meaningful if the function is
  //set to user mode
  Enable_Output_Controls_GPIO_2((m_function_gpio_2.GetCurSel()==2)?1:0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpDriveModeGpio2(void) 
  {
  //This is called by the function & mode pull-downs. If they are both OK,
  //enable the set.
  if((m_function_gpio_2.GetCurSel())&&
     (m_drive_mode_gpio_2.GetCurSel()))
    //Both function & mode are set, Enable the set button.
    m_set_settings_gpio_2.EnableWindow(1);
  else
    //One of function or mode is not set, Disable the set button.
    m_set_settings_gpio_2.EnableWindow(0);
  //Since there was a change that has not been sent to the module, disable
  //the other items
  Enable_Output_Controls_GPIO_2(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpFunctionGpio2(void) 
  {
  //They just changed the function. If it is was changed to default,
  //then pre-position th edrive mode to the default.
  if(m_function_gpio_2.GetCurSel()==1)
    m_drive_mode_gpio_2.SetCurSel(3);
  //Check as usual
  OnCloseUpDriveModeGpio2();
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOffGpio2(void) 
  {
  output_2=0;
  m_pwm_slider_2.SetPos(output_2);
  m_pwm_percent_2.SetWindowText("0%");
  Send_Update_Power_Packet(2,output_2);
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOnGpio2(void) 
  {
  output_2=100;
  m_pwm_slider_2.SetPos(output_2);
  m_pwm_percent_2.SetWindowText("100%");
  Send_Update_Power_Packet(2,output_2);
  }
//---------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
void GPIO::Enable_Output_Controls_GPIO_3(int state)
  {
  //m_reading_gpio_3.EnableWindow(state);
  m_full_on_gpio_3.EnableWindow(state);
  m_full_off_gpio_3.EnableWindow(state);
  m_pwm_percent_3.EnableWindow(state);
  m_pwm_slider_3.EnableWindow(state);
  }
//---------------------------------------------------------------------------
void GPIO::OnReadSettingsGpio3(void) 
  {
  m_function_gpio_3.SetCurSel(0);
  m_drive_mode_gpio_3.SetCurSel(0);
  Send_Reading_Request_Packet(3);
  }
//---------------------------------------------------------------------------
void GPIO::OnSetSettingsGpio3(void) 
  {
  Send_Update_Packet(3,                                //index  
                     m_pwm_slider_3.GetPos(),          //power
                     m_function_gpio_3.GetCurSel(),    //function
                     m_drive_mode_gpio_3.GetCurSel()); //drive mode

  //Making the rather rash assumption that the module actually
  //did get updated, enable our controls accordingly.
  //The output controls are only meaningful if the function is
  //set to user mode
  Enable_Output_Controls_GPIO_3((m_function_gpio_3.GetCurSel()==2)?1:0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpDriveModeGpio3(void) 
  {
  //This is called by the function & mode pull-downs. If they are both OK,
  //enable the set.
  if((m_function_gpio_3.GetCurSel())&&
     (m_drive_mode_gpio_3.GetCurSel()))
    //Both function & mode are set, Enable the set button.
    m_set_settings_gpio_3.EnableWindow(1);
  else
    //One of function or mode is not set, Disable the set button.
    m_set_settings_gpio_3.EnableWindow(0);
  //Since there was a change that has not been sent to the module, disable
  //the other items
  Enable_Output_Controls_GPIO_3(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpFunctionGpio3(void) 
  {
  //They just changed the function. If it is was changed to default,
  //then pre-position th edrive mode to the default.
  if(m_function_gpio_3.GetCurSel()==1)
    m_drive_mode_gpio_3.SetCurSel(3);
  //Check as usual
  OnCloseUpDriveModeGpio3();
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOffGpio3(void) 
  {
  output_3=0;
  m_pwm_slider_3.SetPos(output_3);
  m_pwm_percent_3.SetWindowText("0%");
  Send_Update_Power_Packet(3,output_3);
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOnGpio3(void) 
  {
  output_3=100;
  m_pwm_slider_3.SetPos(output_3);
  m_pwm_percent_3.SetWindowText("100%");
  Send_Update_Power_Packet(3,output_3);
  }
//---------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
void GPIO::Enable_Output_Controls_GPIO_4(int state)
  {
  //m_reading_gpio_4.EnableWindow(state);
  m_full_on_gpio_4.EnableWindow(state);
  m_full_off_gpio_4.EnableWindow(state);
  m_pwm_percent_4.EnableWindow(state);
  m_pwm_slider_4.EnableWindow(state);
  }
//---------------------------------------------------------------------------
void GPIO::OnReadSettingsGpio4(void) 
  {
  m_function_gpio_4.SetCurSel(0);
  m_drive_mode_gpio_4.SetCurSel(0);
  Send_Reading_Request_Packet(4);
  }
//---------------------------------------------------------------------------
void GPIO::OnSetSettingsGpio4(void) 
  {
  Send_Update_Packet(4,                                //index  
                     m_pwm_slider_4.GetPos(),          //power
                     m_function_gpio_4.GetCurSel(),    //function
                     m_drive_mode_gpio_4.GetCurSel()); //drive mode

  //Making the rather rash assumption that the module actually
  //did get updated, enable our controls accordingly.
  //The output controls are only meaningful if the function is
  //set to user mode
  Enable_Output_Controls_GPIO_4((m_function_gpio_4.GetCurSel()==2)?1:0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpDriveModeGpio4(void) 
  {
  //This is called by the function & mode pull-downs. If they are both OK,
  //enable the set.
  if((m_function_gpio_4.GetCurSel())&&
     (m_drive_mode_gpio_4.GetCurSel()))
    //Both function & mode are set, Enable the set button.
    m_set_settings_gpio_4.EnableWindow(1);
  else
    //One of function or mode is not set, Disable the set button.
    m_set_settings_gpio_4.EnableWindow(0);
  //Since there was a change that has not been sent to the module, disable
  //the other items
  Enable_Output_Controls_GPIO_4(0);
  }
//---------------------------------------------------------------------------
void GPIO::OnCloseUpFunctionGpio4(void) 
  {
  //They just changed the function. If it is was changed to default,
  //then pre-position the drive mode to the default.
  if(m_function_gpio_4.GetCurSel()==1)
     m_drive_mode_gpio_4.SetCurSel(7);
  //Check as usual
  OnCloseUpDriveModeGpio4();
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOffGpio4(void) 
  {
  output_4=0;
  m_pwm_slider_4.SetPos(output_4);
  m_pwm_percent_4.SetWindowText("0%");
  Send_Update_Power_Packet(4,output_4);
  }
//---------------------------------------------------------------------------
void GPIO::OnFullOnGpio4(void) 
  {
  output_4=100;
  m_pwm_slider_4.SetPos(output_4);
  m_pwm_percent_4.SetWindowText("100%");
  Send_Update_Power_Packet(4,output_4);
  }
//---------------------------------------------------------------------------
void GPIO::OnGpioSetAllToFactoryDefault() 
  {
  //GPIO 0
  m_function_gpio_0.SetCurSel(1);
  m_drive_mode_gpio_0.SetCurSel(3);
  OnSetSettingsGpio0();
  //GPIO 1
  m_function_gpio_1.SetCurSel(1);
  m_drive_mode_gpio_1.SetCurSel(1);
  //Set power on "GPIO[1] = J8, Pin 6 = ATX Host Power Sense"
  //to low so pull-down is enabled.
  OnFullOffGpio1();
  OnSetSettingsGpio1();
  //GPIO 2
  m_function_gpio_2.SetCurSel(1);
  m_drive_mode_gpio_2.SetCurSel(3);
  OnSetSettingsGpio2();
  //GPIO 3
  m_function_gpio_3.SetCurSel(1);
  m_drive_mode_gpio_3.SetCurSel(3);
  OnSetSettingsGpio3();
  //GPIO 4
  m_function_gpio_4.SetCurSel(1);
  m_drive_mode_gpio_4.SetCurSel(7);
  //Set power on "GPIO[4] = J9, Pin 2 = DOW I/O"
  //to hi so pull-up is effective
  OnFullOnGpio4();
  OnSetSettingsGpio4();
  }
//---------------------------------------------------------------------------
