//============================================================================
// 631_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// LED_Editor.h : header file
//

#if !defined(AFX_LED_EDITOR_H__6CE2CAD8_21F5_4F48_8259_3D1F02BF061C__INCLUDED_)
#define AFX_LED_EDITOR_H__6CE2CAD8_21F5_4F48_8259_3D1F02BF061C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// LED_Editor dialog

class LED_Editor : public CDialog
{
// Construction
public:
	LED_Editor(CWnd* pParent = NULL);   // standard constructor
  BOOL Create();
  virtual BOOL LED_Editor::OnInitDialog();

// Dialog Data
	//{{AFX_DATA(LED_Editor)
	enum { IDD = IDD_LED_EDITOR };
  CEdit m_debug_text;
  //These arrays make the code compact :)
  //but they break the event handling in
  //the resource editor :(
	CSliderCtrl	m_Green_Slider[4];
	CEdit	m_Green_Percent[4];
	CSliderCtrl	m_Red_Slider[4];
	CEdit	m_Red_Percent[4];
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(LED_Editor)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:
  CWnd* m_pParent;
  int m_nID;
  int last_green_levels[4];
  int last_red_levels[4];
	void LED_Editor::UpdateRedSlider(void);
	void LED_Editor::UpdateGreenSlider(void);
  int LED_Mouse_Focus;
	// Generated message map functions
	//{{AFX_MSG(LED_Editor)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
  afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
  afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
  afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LED_EDITOR_H__6CE2CAD8_21F5_4F48_8259_3D1F02BF061C__INCLUDED_)
