// bmpconv.cpp: Generates red/green gradient

#include "stdafx.h"

typedef unsigned char byte;
typedef unsigned int word;

byte line[30760];

int main(int argc, char* argv[])
  {
  FILE
		*screen_out,
    *screen_in;
  long
    row;
  int
    col;
  char
    filename[80];

  byte
    *index;


  sprintf(filename,"spectrum.bmp");
	if((screen_in = fopen(filename, "rb")) == NULL)
		{
		printf("Cant open input file: %s\n",filename);
		return(2);
		}

	//Read the file.
	fread(line,1,30760,screen_in);
	fclose(screen_in);

  for(row=0;row<=100;row++)
    for(col=0;col<=100;col++)
      {
      line[0x36+row*304+col*3+0]=0;                            //B
      line[0x36+row*304+col*3+1]=((int)row*(int)255)/(int)100; //G
      line[0x36+row*304+col*3+2]=((int)col*(int)255)/(int)100; //R
      }


  sprintf(filename,"grad.bmp");
	if((screen_out = fopen(filename, "wb")) == NULL)
		{
		printf("Can't open output file: %s\n",filename);
		return(3);
		}

	fwrite(line,1,30760,screen_out);

	fclose(screen_out);
	return(0);
	}

